module Main where

import L2U.LispParser as Parser
import L2U.Lambda as Lambda
import L2U.Unlambda as Unlambda
import Text.ParserCombinators.Parsec

main = do
    input <- getContents
    case parse Parser.parser "" input of
        Right a -> let e = Lambda.lisp2lambda a in do
--            print e
            print (Unlambda.lambda2unlambda e)
            

